# Class Annotation

java.lang.Object
java.text.Annotation

public class Annotation extends Object
An Annotation object is used as a wrapper for a text attribute value if the attribute has annotation characteristics. These characteristics are:

- The text range that the attribute is applied to is critical to the semantics of the range. That means, the attribute cannot be applied to subranges of the text range that it applies to, and, if two adjacent text ranges have the same value for this attribute, the attribute still cannot be applied to the combined range as a whole with this value.
- The attribute or its value usually do no longer apply if the underlying text is changed.

An example is grammatical information attached to a sentence: For the previous sentence, you can say that "an example" is the subject, but you cannot say the same about "an", "example", or "exam". When the text is changed, the grammatical information typically becomes invalid. Another example is Japanese reading information (yomi).

Wrapping the attribute value into an Annotation object guarantees that adjacent text runs don't get merged even if the attribute values are equal, and indicates to text containers that the attribute should be discarded if the underlying text is modified.

Since:
  1.2
See Also:
  - `AttributedCharacterIterator`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Annotation(Object value)`
  Constructs an annotation record with the given value, which may be null.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Object`
  `getValue()`
  Returns the value of the attribute, which may be null.
  `String`
  `toString()`
  Returns the String representation of this Annotation.

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`
  Modifier and Type
  Method
  Description
  `protected Object`
  `clone()`
  Creates and returns a copy of this object.
  `boolean`
  `equals(Object obj)`
  Indicates whether some other object is "equal to" this one.
  `protected void`
  `finalize()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Finalization is deprecated and subject to removal in a future release.
  `final Class<?>`
  `getClass()`
  Returns the runtime class of this `Object`.
  `int`
  `hashCode()`
  Returns a hash code value for this object.
  `final void`
  `notify()`
  Wakes up a single thread that is waiting on this object's monitor.
  `final void`
  `notifyAll()`
  Wakes up all threads that are waiting on this object's monitor.
  `final void`
  `wait()`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
  `final void`
  `wait(long timeoutMillis)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
  `final void`
  `wait(long timeoutMillis, int nanos)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

- ## Constructor Details

  - ### Annotation

    public Annotation(Object value)
    Constructs an annotation record with the given value, which may be null.
    Parameters:
      `value` - the value of the attribute

- ## Method Details

  - ### getValue

    public Object getValue()
    Returns the value of the attribute, which may be null.
    Returns:
      the value of the attribute

  - ### toString

    public String toString()
    Returns the String representation of this Annotation.
    Overrides:
      `toString` in class `Object`
    Returns:
      the `String` representation of this `Annotation`